/*
 * ConditionedStyle.java
 *
 * Created on February 17, 2006, 5:23 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package it.businesslogic.ireport;

import java.util.HashMap;

/**
 *
 * @author gtoffoli
 */
public class ConditionedStyle extends Style {
    
    /** Creates a new instance of ConditionedStyle */
    public ConditionedStyle() {
    }
    
    /**
         * Create a new instance of ConditionedStyle with the same values of s1
         * isDefault is reset to false.
         */
    public ConditionedStyle(Style s1) {
        super(s1);
    }
    
    /**
     * this is a shortcut for  getAttribute( this.ATTRIBUTE_condition )
     * If no condition is set, the method return null;
     */
    public String getCondition()
    {
        return (String)this.getAttribute( this.ATTRIBUTE_condition );
    }
    
    /**
     * this is a shortcut for  getAttribute( this.ATTRIBUTE_condition )
     * If no condition is set, the method return null;
     */
    public void setCondition(String condition)
    {
        if (condition != null && condition.trim().length() > 0)
        {
            this.getAttributes().put( this.ATTRIBUTE_condition, condition);
        }
    }
    
    public String toString()
    {
        return  getCondition();
    }
}
